Show / Hide Table of Contents

# Class DocumentSymbolRequest

##### Inheritance

System.Object
DocumentSymbolRequest

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DocumentSymbolRequest

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly RequestType<DocumentSymbolParams, SymbolInformation[]> Type

##### Field Value

Type | Description
--- | ---
RequestType<DocumentSymbolParams, SymbolInformation[]> |